Bug 1651678 - Swift has too many worker processes
Summary: Swift has too many worker processes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Laura Marsh
QA Contact: Mike Abrams
Laura Marsh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-20 14:56 UTC by Sai Sindhur Malleni
Modified: 2019-04-16 06:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-18 15:11:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sai Sindhur Malleni 2018-11-20 14:56:13 UTC
Description of problem:
In OSP13, swift has number of workers set to number of cores for all its services like swift-proxy-server, swift-account-server, swift-container-server, swift-object-server.

On a 56 cores machines, we have 57 swift-proxy-server processes for example.
Ideally we should cap workers at min(cpu-cores/2, 12)


Version-Release number of selected component (if applicable):
OSP13

How reproducible:
100%

Steps to Reproduce:
1. deploy director with defaults
2.
3.

Actual results:
Too many swift processes

Expected results:
Max of 12 swift workers

Additional info:


Note You need to log in before you can comment on or make changes to this bug.